Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class ClassHelper

    java.lang.Object
      |
      +--com.beasys.commerce.util.ClassHelper

public class ClassHelper
extends Object

Helper methods for the Class class

Constructor Summary
`ClassHelper()`

Method Summary
`static String` | `className(Class clazz)`
`static String` | `dequalifyName(String clazz)`
`static String` | `parentName(String fullyQualifiedName)`
`static String` | `relationIdentifier(String containingClass, String attributeIdentifier, String containedClass)` Concoct a "relation identifier" based on containing class, attribute on containing class, and contained class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassHelper

    public ClassHelper()

Method Detail

### className

    public static String className(Class clazz)

### dequalifyName

    public static String dequalifyName(String clazz)

### parentName

    public static String parentName(String fullyQualifiedName)

### relationIdentifier

    public static String relationIdentifier(String containingClass,
                                            String attributeIdentifier,
                                            String containedClass)

  Concoct a "relation identifier" based on containing class, attribute on containing class, and contained class.

  Parameters:
    `containingClass` - the fully qualified class name of the containing class
    `attributeIdentifier` - unqualified attribute identifier
    `containedClass` - unqualified name of contained class

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved